com.hazelcast.cp

## Enum CPGroup.CPGroupStatus

- java.lang.Object
- - java.lang.Enum<CPGroup.CPGroupStatus>
  - - com.hazelcast.cp.CPGroup.CPGroupStatus

- All Implemented Interfaces:
    Serializable, Comparable<CPGroup.CPGroupStatus>
  Enclosing interface:
    CPGroup

      public static enum CPGroup.CPGroupStatus
      extends Enum<CPGroup.CPGroupStatus>

  Represents status of a CP group

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE` A CP group is active after it is initialized with the first request sent to it, and before its destroy process is initialized.
    `DESTROYED` A CP group switches to this state after its destroy process is completed.
    `DESTROYING` A CP group switches to this state after its destroy process is initialized, but not completed yet.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CPGroup.CPGroupStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CPGroup.CPGroupStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVE

          public static final CPGroup.CPGroupStatus ACTIVE

      A CP group is active after it is initialized with the first request sent to it, and before its destroy process is initialized.

    - #### DESTROYING

          public static final CPGroup.CPGroupStatus DESTROYING

      A CP group switches to this state after its destroy process is initialized, but not completed yet.

    - #### DESTROYED

          public static final CPGroup.CPGroupStatus DESTROYED

      A CP group switches to this state after its destroy process is completed.

  - ### Method Detail

    - #### values

          public static CPGroup.CPGroupStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CPGroup.CPGroupStatus c : CPGroup.CPGroupStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CPGroup.CPGroupStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019. All rights reserved.